ID CVE-2012-4305
Summary Unspecified vulnerability in the JavaFX component in Oracle Java SE JavaFX 2.2.4 and earlier allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors, a different vulnerability than other CVEs listed in the February 2013 CPU. NOTE: the previous information is from the February 2013 CPU. Oracle has not commented on claims from a third party that the issue allows remote attackers to execute arbitrary code via vectors related to an "invalid type cast" and exposed native methods in the T2KGlyph class. Per: http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html "Applies to client deployment of Java only. This vulnerability can be exploited only through untrusted Java Web Start applications and untrusted Java applets. (Untrusted Java Web Start applications and untrusted applets run in the Java sandbox with limited privileges.)"
References
Vulnerable Configurations
  • cpe:2.3:a:oracle:javafx:2.0:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.1:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.2:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.2.3:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.2.3:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:1.2:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:1.2.2:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:1.2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:1.2.3:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:1.2.3:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:1.3.0:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:1.3.0:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:1.3.1:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:1.3.1:*:*:*:*:*:*:*
  • cpe:2.3:a:oracle:javafx:2.2.4:*:*:*:*:*:*:*
    cpe:2.3:a:oracle:javafx:2.2.4:*:*:*:*:*:*:*
CVSS
Base: 9.3 (as of 19-09-2017 - 01:35)
Impact:
Exploitability:
CWE NVD-CWE-noinfo
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
cvss-vector via4 AV:N/AC:M/Au:N/C:C/I:C/A:C
oval via4
accepted 2013-06-10T04:00:57.166-04:00
class vulnerability
contributors
name Sergey Artykhov
organization ALTX-SOFT
definition_extensions
comment JavaFX 2.x is installed
oval oval:org.mitre.oval:def:16479
description Unspecified vulnerability in the JavaFX component in Oracle Java SE JavaFX 2.2.4 and earlier allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors, a different vulnerability than other CVEs listed in the February 2013 CPU. NOTE: the previous information is from the February 2013 CPU. Oracle has not commented on claims from a third party that the issue allows remote attackers to execute arbitrary code via vectors related to an "invalid type cast" and exposed native methods in the T2KGlyph class.
family windows
id oval:org.mitre.oval:def:16392
status accepted
submitted 2013-04-22T10:26:26.748+04:00
title Unspecified vulnerability in the JavaFX component in Oracle Java SE JavaFX 2.2.4 and earlier allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors, a different vulnerability than other CVEs listed in the February 2013 CPU.
version 5
refmap via4
cert TA13-032A
cert-vn VU#858729
confirm http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html
hp
  • HPSBMU02874
  • SSRT101184
idefense 20130201 Oracle Java SE JavaFx T2KGlyph Invalid Type Cast Vulnerability
Last major update 19-09-2017 - 01:35
Published 02-02-2013 - 00:55
Back to Top